import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/zh_CN';
import { defHttp } from '/@/utils/http/axios';
import { Api } from '../../api/sys/language';

const modules = import.meta.globEager('./zh-CN/**/*.ts');
export default {
  message: {
    ...genMessage(modules, 'zh-CN'),
    antdLocale,
  },
  apiMessage: {
    ...(await defHttp.get(
      { url: `${Api.GetLanguage}?locale=zh-cn` },
      { isTransformResponse: false },
    )),
    antdLocale,
  },
};
